Bug 1311163 - [GSS](6.2.z) Can't signal sub process when using the EJB API
[GSS](6.2.z) Can't signal sub process when using the EJB API
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: CR1
: 6.2.2
Assigned To: Maciej Swiderski
Tomas Livora
:
Depends On: 1304508 1310820
Blocks: 1309326
  Show dependency treegraph
 
Reported: 2016-02-23 09:30 EST by Alessandro Lazarotti
Modified: 2016-03-17 06:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1310820
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-02-23 09:30:37 EST
+++ This bug was initially created as a clone of Bug #1310820 +++

Description of problem:

If we have a process that has a human task followed by a sub process and when completing the task and trying to signal the started subprocess on the same transaction, we have an error saying that the subprocess does not exist. If we use no transaction, it works.

Version-Release number of selected component (if applicable):
n/a

How reproducible:
always

Steps to Reproduce:
1. Create a simple process that has a human task following by a subprocess with a signal
2. use the jBPM EJB API to handle the process and user tasks;
3. on the same transaction (you can use a stateless EJB method with TransactionAttribute(REQUIRES_NEW) or any other that will preserve the tx), start a new process instance, start and complete the task, retrieve the subprocess ID and try to signal it;

Actual results:

Error saying the process instance ID was not found.


Expected results:

Signal sent successfully.

Additional info:

A workaround is perform each action on a separated transaction or use no transaction at all in the client app.

--- Additional comment from JBoss Product and Program Management on 2016-02-22 12:40:08 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 2 Maciej Swiderski 2016-02-25 05:54:04 EST
back ported to 6.3.x

jbpm
6.3.x:
https://github.com/droolsjbpm/jbpm/commit/6c6cfb37a5943331d38342e53073c0d3ecffd5fa
Comment 3 Tomas Livora 2016-03-11 05:41:10 EST
Verified on BPM Suite 6.2.2 CR1

Note You need to log in before you can comment on or make changes to this bug.